# Ví dụ Request / Response

Ví dụ minh họa với hình thức thanh toán Transaction QR

#### Request

```
POST https://api-merchant-sandbox.vinid.dev/merchant-integration/v1/qr/gen-transaction-qr
Accept: 'application/json',
Content-Type: 'application/json',
X-Key-Code: '28f04867-c6d5-425f-9108-0d90a0c0b09e',
X-Nonce: '1583122246',
X-Timestamp: 1583122246,
X-Signature: 'IrAHA7RAxGVRfu8TyM+VVtuNwzbvSZFQ6BUSHxBZHV1o7m5uJpr4CIuor6Ku2tSvWM5VHGGQkvqHXmpo7uwceVJorpey9v8sJE+pgtanRO8fnHDbXWrW4JNL6MgrNZwXZU5qh8GMnCxNmToXTqFoFrB5vilekyDlFKzWdz/PDIju2HdTeJgNMWm54zqtoq6L1qc8vc5earylaFspWlaI+qDvK93cklDOAaJinxK0m+4EQtjkdAvL1D4LuI4mnvvwXoMo69W3ZUZp/KLCRTKDvvfHCwpNsqJDv7vQLBDKMbzFSNECu+CIG2z9e2lXpLwSxIoDdh+bYS831QPQK4nQnQ==',

{
  "callback_url": null,
  "description": "Test trans QR",
  "extra_data": "",
  "order_amount": 10000,
  "order_currency": "VND",
  "order_reference_id": "",
  "pos_code": "POSCODE01",
  "service_type": "PURCHASE",
  "store_code": "STORECODE01"
}

```

#### Response

```
HTTP/1.1 200 OK
Date: Mon, 02 Mar 2020 04:15:43 GMT
Content-Type: application/json; charset=utf-8
Transfer-Encoding: chunked
Connection: close
Set-Cookie: __cfduid=d17ef257bc41217c6cc999b06d6f8b8f21583122543; expires=Wed, 01-Apr-20 04:15:43 GMT; path=/; domain=.vinid.dev; HttpOnly; SameSite=Lax; Secure
X-Request-ID: eb79bbea-77cd-455a-82ff-a33041671914#1098
CF-Cache-Status: DYNAMIC
Expect-CT: max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
Alt-Svc: h3-27=":443"; ma=86400, h3-25=":443"; ma=86400, h3-24=":443"; ma=86400, h3-23=":443"; ma=86400
Server: cloudflare
CF-RAY: 56d84c563ceea366-HKG
Content-Encoding: gzip

{
  "meta": {
    "code": 200,
    "message": "OK"
  },
  "data": {
    "qr_url": "",
    "qr_data": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAACTklEQVR42uyYPW7kOhCES1DAkEfgUXgxQxLhi/EoPAJDBoTqoVp6nrF3Nx5ydzowYOILpqGq/sM73vFPxkKSp2MHXF4LfG6BNeo1TwQ0AJvL8KfTa40Ne40A/FRAYN0cu08kQiJbSDXqYTRAP/pA7OG4ZDQr0KWtjp2cEzBFkRUAy4Y/SO61wGXe3H1qcS2bzJt+4+6xgSuU5kKuPL3MUX8pp8MD5u4Mn5hNUQ3wbNi/0nw9sLCsdWlYVYdMUfoMBD6+etYMQAumKH2LfPv2kDk+ntw9PiAdJWWWGrp5Wr5AOGYC4Mpq7lah6pexk1XToQBKUdF8AXNDILMqPyYCELrMvFYb1fZ7iED4fNh/fEBNzR/u+mctZo79uZAOAZDdn4BmhLgWS+v0ZPmfmgJQctX+7DLvXtE0r7XwUNQMgKPcQFazxCm7b4jyfB4HAFaaovYWVx4+u6LBZy5gabBWa6Oa0lShx/dlcALAelaLd8o76YqmoEcJGgBQeI0HaqyaijUkq7seT2VoeGBhMXOo82YDnB6eh5wZgBbgT0koXdrShiKfH2MB5KGNFaL0GbB998UUgBRl1V4vy32ocTz8XIC525bBHrSchNNnS30m4GtbtELlecdnHQd47N07s/UsdWGYg+cBrhsIIm0q5qnq811RUwB2j9JXSlJUYhbwnOYQwHVlxXVusu1Qk1v5+HGGnQLQVByvs7wKqQa4+YBsirpb2eZ/NLXXA6ao2GH3YC0gpijOBdzmhT8Aluvg5+l+nGEHB97xjr8s/gsAAP//tq28Lpz6etIAAAAASUVORK5CYII=",
    "qr_code": "https://qr.id.vin/TX.20200302T00100015912",
    "order_id": "20200302T00100015912",
    "expiration": 1583123381
  }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.vinid.net/tai-lieu-tich-hop/quy-tac-ket-noi/vi-du-request-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
